###########################################################
# This is the main file driving the data preparation for the model 
# Written by  John-Mary Matovu
#             Research Fellow
#             Research for Transformation and Development
#             Kampala, Uganda
#             www.rtdug.org
###########################################################
 
//*************************************************************************
// 1: Define objects that are passed to Dynare's macro processor
//*************************************************************************

// Define the index of the country/countries used in the model.
@#define country    = Countries

//Specify the number of sectors included in the model.
//@#define sector     = Sectors

//*************************************************************************
// 2: Declare the "usual suspects". Given the above specifications, Dynare's macroprocessor pre-processes the variables, parameters and shocks.
//
// 2.1: "Vars_params_10S_1C.m" specify model variables, exogenous shocks and parameters.
// 2.2: "SS_MSMod_10S_1C.mod" declare the parameter values. The computation of the steady state calls the function getk.m that computes the aggregate capital stock.
// 2.3: "Equations_10S_1C.mod" pass the model equations  
// 2.4: "Init_Val_MSMod_10S_1C.mod" specify the inital values that are computed in "SS_MSMod_10S_1C.mod"
//*************************************************************************

// ######################################################################  

//@#include "Vars_params_10S_1C.m"
     
//@#include "SS_MSMod_10S_1C.mod" 

//@#include "Equations_10S_1C.mod"

//@#include "Init_Val_MSMod_10S_1C.mod"

// ######################################################################

// Since the number of equations can become large, it may be convenient to exploit Dynare's LaTeX-writing capabilities
//write_latex_dynamic_model;


//*************************************************************************
// 3: Run checks
//*************************************************************************
//model_diagnostics;
//resid(1);
//steady;
//check;